EarModule (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.plugins.ear.descriptor

## [Java] Interface EarModule

- A module element in a deployment descriptor like application.xml.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getAltDeployDescriptor()` The alt-dd element specifies an optional URI to the post-assembly version of the deployment descriptor file for a particular Java EE module.
    `String` | `getPath()` The connector element specifies the URI of an archive file, relative to the top level of the application package.
    `void` | `setAltDeployDescriptor(String altDeployDescriptor)`
    `void` | `setPath(String path)`
    `groovy.util.Node` | `toXmlNode(groovy.util.Node parentModule, Object name)` Convert this object to an XML Node (or two nodes if altDeployDescriptor is not null).

- - ### Method Detail

    - #### public String getAltDeployDescriptor()

      The alt-dd element specifies an optional URI to the post-assembly version of the deployment descriptor file for a particular Java EE module. The URI must specify the full pathname of the deployment descriptor file relative to the application's root directory. If alt-dd is not specified, the deployer must read the deployment descriptor from the default location and file name required by the respective component specification.

    - #### public String getPath()

      The connector element specifies the URI of an archive file, relative to the top level of the application package.

    - #### public void setAltDeployDescriptor(String altDeployDescriptor)

    - #### public void setPath(String path)

    - #### public groovy.util.Node toXmlNode(groovy.util.Node parentModule, Object name)

      Convert this object to an XML Node (or two nodes if altDeployDescriptor is not null).

      Parameters:
        `parentModule` - The parent <module> node to add this node to.
        `name` - The name of this node.
      Returns:
        The new node. If an <alt-dd> node is created it is not returned.